Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Subscriptions

List Subscriptions

GET
/v1/subscriptions

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string
id[in]?string
opt_in_group?string
opt_in_group[in]?string
contact?string
contact[in]?string
contact_external_id?string
channel_type?string
channel_type[in]?string
status?string
status[neq]?string
status[in]?string
updated_at?string
updated_at[gte]?string
updated_at[lte]?string
updated_at[gt]?string
updated_at[lt]?string
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length
include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/subscriptions"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "opt_in_group_id": "4b357ede-6cef-46e7-8acc-09c4cf4c759a",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "key": "string",      "status": "requested",      "channel_type": "email",      "contact": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "display_name": "string",        "full_name": "string",        "salutation": "string",        "birthday": "2019-08-24T14:15:22Z",        "description": "string",        "external_id": "string",        "secondary_external_id": "string",        "address_line1": "string",        "address_line2": "string",        "city": "string",        "zipcode": "string",        "country": "string",        "is_blocked": true,        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "opt_in_group": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "name": "string",        "trigger_keyword": "string",        "accept_keyword": "string",        "decline_keyword": "string",        "request_double_opt_in_template_id": "1a719ce5-9c1f-41a6-8232-4132df5fe736",        "subscription_successful_template_id": "97b45387-3a49-4536-9923-9c4e1520f5f6",        "key": "string",        "counts": {},        "latest_subscription_at": "2019-08-24T14:15:22Z",        "request_double_opt_in_placeholder_values": [          "string"        ],        "subscription_successful_placeholder_values": [          "string"        ],        "status": "draft",        "deleted_at": "2019-08-24T14:15:22Z",        "is_gallery": true      }    }  ],  "next_page_url": "string",  "previous_page_url": "string"}